gsw_t_freezing {gsw} | R Documentation

## Freezing Temperature of Seawater

### Description

This uses the C function named `gsw_t_freezing_exact`, because the C function named `gsw_t_freezing` does not produce check values that match the Matlab function called `gsw_t_freezing` (see references for those test values).

### Usage

    gsw_t_freezing(SA, p, saturation_fraction = 1)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`saturation_fraction` | fraction of air in water [unitless]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

in-situ freezing temperature (ITS-90) [ degC ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_t_freezing.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    p <- c(      10,      50,     125,     250,     600,    1000)
    saturation_fraction <- 1
    tf <- gsw_t_freezing(SA, p, saturation_fraction)
    expect_equal(tf, c(-1.902730710149803, -1.942908619287183, -2.006861069199743,
                       -2.090985086875259, -2.351293130342102, -2.660498762776720))

[Package gsw version 1.0-5 Index]